import { stringify } from 'qs';
import { request } from 'umi';
/**
 * 消息推送
 * @param {object} params
 * @param {number} params.currentPage
 * @param {number} params.pageSize
 * @returns
 */
export async function getNotificationList(params) {
  return request(`/api/v1/notification/list?${stringify(params)}`);
}
/**
 * 消息推送
 * @param {number} messageId 消息ID
 * @returns
 */
export async function readNotification(messageId) {
  return request(`/api/v1/notification/read/${messageId}`, {
    method: 'PUT',
  });
}

/**
 * 待办事项
 * @param {object} project_id
 * @returns
 */
export async function getPendingList(params) {
  return request(`/api/v1/pending/list?${stringify(params)}`);
}

/**
 * 全部已读
 * @param {object} project_id
 * @returns
 */
export async function getAllRead(data) {
  return request(`/api/v1/notification/all_read`, {
    method: 'POST',
    data,
  });
}
